# ApplicationPlugin

abstract class ApplicationPlugin : Plugin<T>

A Plugin which packages and runs a project as a Java Application.

The plugin can be configured via the JavaApplication extension.

#### See also

<a href="https://docs.gradle.org/current/userguide/application_plugin.html">Application plugin reference</a>

## Constructors

ApplicationPlugin
Link copied to clipboard
constructor()

## Properties

APPLICATION_GROUP
Link copied to clipboard
val APPLICATION_GROUP: String = "application"
APPLICATION_PLUGIN_NAME
Link copied to clipboard
val APPLICATION_PLUGIN_NAME: String = "application"
TASK_DIST_TAR_NAME
Link copied to clipboard
val TASK_DIST_TAR_NAME: String = "distTar"
TASK_DIST_ZIP_NAME
Link copied to clipboard
val TASK_DIST_ZIP_NAME: String = "distZip"
TASK_RUN_NAME
Link copied to clipboard
val TASK_RUN_NAME: String = "run"
TASK_START_SCRIPTS_NAME
Link copied to clipboard
val TASK_START_SCRIPTS_NAME: String = "startScripts"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)